export declare class VariableStore {
    private vars;
    /**
     * Generates a safe to be used string as JS variable for the runner
     * @param source Original name
     */
    getAvailable(source: string): string;
    /**
     * Reserves this variable. Does not check for name clashing
     * @param name Name to reserve
     */
    reserve(name: string): void;
    /**
     * Marks a variable name as free to use
     * @param name Name to free
     */
    free(name: string): void;
    /**
     * Generate a safe equivalent of a provided name
     * @param source Source name
     */
    static getSafeName(source: string): string;
}
